# Class TCefV8ExceptionRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFv8Exception

## Declaration

`type TCefV8ExceptionRef = class(TCefBaseRefCountedRef, ICefV8Exception)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefV8ExceptionRef

## Overview

### Methods

| `function GetMessage: ustring;`
| `function GetSourceLine: ustring;`
| `function GetScriptResourceName: ustring;`
| `function GetLineNumber: Integer;`
| `function GetStartPosition: Integer;`
| `function GetEndPosition: Integer;`
| `function GetStartColumn: Integer;`
| `function GetEndColumn: Integer;`
| `class function UnWrap(data: Pointer): ICefV8Exception;`

## Description

### Methods

| `function GetMessage: ustring;`
This item has no description. Showing description inherited from ICefV8Exception.GetMessage. Returns the exception message.

| `function GetSourceLine: ustring;`
This item has no description. Showing description inherited from ICefV8Exception.GetSourceLine. Returns the line of source code that the exception occurred within.

| `function GetScriptResourceName: ustring;`
This item has no description. Showing description inherited from ICefV8Exception.GetScriptResourceName. Returns the resource name for the script from where the function causing the error originates.

| `function GetLineNumber: Integer;`
This item has no description. Showing description inherited from ICefV8Exception.GetLineNumber. Returns the 1-based number of the line where the error occurred or 0 if the line number is unknown.

| `function GetStartPosition: Integer;`
This item has no description. Showing description inherited from ICefV8Exception.GetStartPosition. Returns the index within the script of the first character where the error occurred.

| `function GetEndPosition: Integer;`
This item has no description. Showing description inherited from ICefV8Exception.GetEndPosition. Returns the index within the script of the last character where the error occurred.

| `function GetStartColumn: Integer;`
This item has no description. Showing description inherited from ICefV8Exception.GetStartColumn. Returns the index within the line of the first character where the error occurred.

| `function GetEndColumn: Integer;`
This item has no description. Showing description inherited from ICefV8Exception.GetEndColumn. Returns the index within the line of the last character where the error occurred.

| `class function UnWrap(data: Pointer): ICefV8Exception;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.